Bug 253200 - blam could not start
blam could not start
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: blam (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 09:00 EDT by ZipanChen
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-08 23:01:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ZipanChen 2007-08-17 09:00:53 EDT
Description of problem:
blam could not start

blam

** (/usr/lib/blam/blam.exe:3843): WARNING **: The following assembly referenced
from /usr/lib/blam/blam.exe could not be loaded:
     Assembly:   gnome-sharp    (assemblyref_index=0)
     Version:    2.16.0.0
     Public Key: 35e10195dab3c99f
The assembly was not found in the Global Assembly Cache, a path listed in the
MONO_PATH environment variable, or in the location of the executing assembly
(/usr/lib/blam).


** (/usr/lib/blam/blam.exe:3843): WARNING **: Could not load file or assembly
'gnome-sharp, Version=2.16.0.0, Culture=neutral,
PublicKeyToken=35e10195dab3c99f' or one of its dependencies.
The entry point method could not be loaded


Version-Release number of selected component (if applicable):
blam-1.8.3-6.fc8

How reproducible:
yum install blam, than type "blam" in gnome-terminal.

Steps to Reproduce:
1. Install F8T1
2. yum install blam
3. Run
Comment 1 Peter Gordon 2007-08-17 18:06:12 EDT
Thanks for the bug report; I've added the dependency to the spec and a new build
is churning through Koji now, which should hit the next rawhide push.

I'll close this bug when that's done. 
Comment 2 ZipanChen 2007-08-18 10:25:36 EDT
After update to blam-1.8.3-7.fc8... is it a dbus-sharp's problem?

blam 

** (/usr/lib/blam/blam.exe:2893): WARNING **: The following assembly referenced
from /usr/lib/blam/blam.exe could not be loaded:
     Assembly:   dbus-sharp    (assemblyref_index=8)
     Version:    0.60.0.0
     Public Key: 9eef2692033670f5
The assembly was not found in the Global Assembly Cache, a path listed in the
MONO_PATH environment variable, or in the location of the executing assembly
(/usr/lib/blam).


** (/usr/lib/blam/blam.exe:2893): WARNING **: Could not load file or assembly
'dbus-sharp, Version=0.60.0.0, Culture=neutral, PublicKeyToken=9eef2692033670f5'
or one of its dependencies.
Stacktrace:


Native stacktrace:

        mono [0x518207]
        mono [0x4df1cd]
        /lib64/libpthread.so.0 [0x3bfa80e4a0]
        mono(mono_class_vtable+0x41a) [0x46c59a]
        mono(mono_object_new+0x9) [0x46f439]
        mono(mono_exception_from_name_two_strings+0x50) [0x470c90]
        mono [0x4b480a]
        mono [0x46a0ff]
        mono(mono_class_vtable+0x341) [0x46c4c1]
        mono(mono_object_new+0x9) [0x46f439]
        mono(mono_exception_from_name_two_strings+0x50) [0x470c90]
        mono [0x4b480a]
        mono [0x46a0ff]
        mono(mono_class_vtable+0x341) [0x46c4c1]
        mono(mono_object_new+0x9) [0x46f439]
        mono(mono_exception_from_name_two_strings+0x50) [0x470c90]
        mono [0x46a1fd]
        mono(mono_class_vtable+0x341) [0x46c4c1]
        mono [0x504480]
        mono(mono_runtime_exec_main+0x62) [0x46edb2]
        mono(mono_runtime_run_main+0x1c0) [0x46f080]
        mono(mono_main+0xdc1) [0x414541]
        /lib64/libc.so.6(__libc_start_main+0x188) [0x3bf9c1dd58]
        mono(realloc+0x341) [0x4131d9]

Debug info from gdb:

(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 46912498384592 (LWP 2893)]
[New Thread 1075988816 (LWP 2895)]
[New Thread 1073822032 (LWP 2894)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x0000003bf9ccace2 in select () from /lib64/libc.so.6
  3 Thread 1073822032 (LWP 2894)  0x0000003bfa80db51 in nanosleep ()
   from /lib64/libpthread.so.0
  2 Thread 1075988816 (LWP 2895)  0x0000003bfa80a879 in
pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
  1 Thread 46912498384592 (LWP 2893)  0x0000003bf9ccace2 in select ()
   from /lib64/libc.so.6

Thread 3 (Thread 1073822032 (LWP 2894)):
#0  0x0000003bfa80db51 in nanosleep () from /lib64/libpthread.so.0
#1  0x00000000004c51a0 in ?? ()
#2  0x0000003bfa806387 in start_thread () from /lib64/libpthread.so.0
#3  0x0000003bf9cd1a0d in clone () from /lib64/libc.so.6

Thread 2 (Thread 1075988816 (LWP 2895)):
#0  0x0000003bfa80a879 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00000000004bcf65 in ?? ()
#2  0x00000000004bf43d in ?? ()
#3  0x00000000004bfd99 in ?? ()
#4  0x000000000045f701 in ?? ()
#5  0x000000000044e8cd in ?? ()
#6  0x00000000004bab77 in ?? ()
#7  0x00000000004d202e in ?? ()
#8  0x0000003bfa806387 in start_thread () from /lib64/libpthread.so.0
#9  0x0000003bf9cd1a0d in clone () from /lib64/libc.so.6

Thread 1 (Thread 46912498384592 (LWP 2893)):
#0  0x0000003bf9ccace2 in select () from /lib64/libc.so.6
#1  0x0000003bfb05dfbe in g_spawn_sync () from /lib64/libglib-2.0.so.0
#2  0x0000003bfb05e388 in g_spawn_command_line_sync ()
   from /lib64/libglib-2.0.so.0
#3  0x00000000005182a8 in ?? ()
#4  0x00000000004df1cd in ?? ()
#5  <signal handler called>
#6  0x000000000046c59a in mono_class_vtable ()
#7  0x000000000046f439 in mono_object_new ()
#8  0x0000000000470c90 in mono_exception_from_name_two_strings ()
#9  0x00000000004b480a in ?? ()
#10 0x000000000046a0ff in ?? ()
#11 0x000000000046c4c1 in mono_class_vtable ()
#12 0x000000000046f439 in mono_object_new ()
#13 0x0000000000470c90 in mono_exception_from_name_two_strings ()
#14 0x00000000004b480a in ?? ()
#15 0x000000000046a0ff in ?? ()
#16 0x000000000046c4c1 in mono_class_vtable ()
#17 0x000000000046f439 in mono_object_new ()
#18 0x0000000000470c90 in mono_exception_from_name_two_strings ()
#19 0x000000000046a1fd in ?? ()
#20 0x000000000046c4c1 in mono_class_vtable ()
#21 0x0000000000504480 in ?? ()
#22 0x000000000046edb2 in mono_runtime_exec_main ()
#23 0x000000000046f080 in mono_runtime_run_main ()
#24 0x0000000000414541 in mono_main ()
#25 0x0000003bf9c1dd58 in __libc_start_main () from /lib64/libc.so.6
#26 0x00000000004131d9 in g_str_equal ()
#27 0x00007fff9ba76088 in ?? ()
#28 0x0000000000000000 in ?? ()
#0  0x0000003bf9ccace2 in select () from /lib64/libc.so.6


=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

Aborted
Comment 3 Peter Gordon 2007-08-18 15:21:46 EDT
(In reply to comment #2)
> After update to blam-1.8.3-7.fc8... is it a dbus-sharp's problem?
> 
> blam 
> 
> ** (/usr/lib/blam/blam.exe:2893): WARNING **: The following assembly referenced
> from /usr/lib/blam/blam.exe could not be loaded:
>      Assembly:   dbus-sharp    (assemblyref_index=8)
>      Version:    0.60.0.0
>      Public Key: 9eef2692033670f5
> The assembly was not found in the Global Assembly Cache, a path listed in the
> MONO_PATH environment variable, or in the location of the executing assembly
> (/usr/lib/blam).

That's just amazing weird. The spec file explicitly contains a dependency
dbus-sharp >= 0.60 ... Maybe it's having some conflicts with ndesk-dbus being
available as well. I'll investigate this further later this evening.

Thanks.
Comment 4 Peter Gordon 2007-09-08 15:05:48 EDT
Okay, I'm afraid I still don't know what's going on here. I'veI removed every
mono package on my system (and everything that depended on them), and proceeded
to install Blam, and Yum successfully picks up a dependency on dbus-sharp:

# yum remove '*mono*'
# yum -y install blam
[...]
Resolving Dependencies
--> Running transaction check
---> Package blam.x86_64 0:1.8.3-5.fc7 set to be updated
--> Processing Dependency: gecko-sharp2 for package: blam
--> Processing Dependency: dbus-sharp >= 0.60 for package: blam
--> Running transaction check
---> Package dbus-sharp.x86_64 0:0.63-6.fc6 set to be updated
[...]


Then, when I run it, it works okay.

Are you still receiving this error? Does re-installing Blam help fix it? :o

Thanks.
Comment 5 ZipanChen 2007-09-08 23:01:53 EDT
I think blam should depended on gnome-sharp, after yum install gnome-sharp, it
works.

Thanks.
Comment 6 Peter Gordon 2007-09-29 14:58:33 EDT
Blam now depends on gnome-sharp; please reopen this bug if this issue persists.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.